package com.kolobochki.memory;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity(tableName = "level_records")
public class LevelRecord {
    @PrimaryKey
    public int levelId;

    public int bestScore;
    public int attemptsCount;
    public long lastPlayedTime;

    public LevelRecord(int levelId, int bestScore, int attemptsCount) {
        this.levelId = levelId;
        this.bestScore = bestScore;
        this.attemptsCount = attemptsCount;
        this.lastPlayedTime = System.currentTimeMillis();
    }
}
